Skip to main content
POST
Train a Rasa model

Authorizations

token
string
query
required

A plaintext token to secure your server, specified at startup in the argument --auth-token thisismysecret

Query Parameters

save_to_default_model_directory
boolean
default:true

If true (default) the trained model will be saved in the default model directory, if false it will be saved in a temporary directory

force_training
boolean
default:false

Force a model training even if the data has not changed

augmentation
string
default:50

How much data augmentation to use during training

num_threads
string
default:1

Maximum amount of threads to use when training

callback_url
string
default:None

If specified the call will return immediately with an empty response and status code 204. The actual result or any errors will be sent to the given callback URL as the body of a post request.

Body

application/yaml

The training data should be in YAML format.

pipeline
array

Pipeline list

policies
array

Policies list

entities
array

Entity list

slots
array

Slots list

actions
array

Action list

forms
array

Forms list

e2e_actions
array

E2E Action list

responses
object

Bot response templates

session_config
object

Session configuration options

nlu
array

Rasa NLU data, array of intents

rules
array

Rule list

stories
array

Rasa Core stories in YAML format

flows
object

Rasa Pro flows in YAML format

force
boolean
deprecated

Force a model training even if the data has not changed

Example:

false

save_to_default_model_directory
boolean
deprecated

If true (default) the trained model will be saved in the default model directory, if false it will be saved in a temporary directory

Response

Zipped Rasa model

The response is of type file.